%define with_maven 1
Name:          jopt-simple
Version:       3.2
Release:       %mkrel 1
Summary:       Java library for parsing command line options
Group:         Development/Java
License:       MIT
Url:           http://pholser.github.com/jopt-simple/
# cvs -d:pserver:anonymous@jopt-simple.cvs.sourceforge.net:/cvsroot/jopt-simple login
# cvs -z3 -d:pserver:anonymous@jopt-simple.cvs.sourceforge.net:/cvsroot/jopt-simple co -P modulename
# tag jopt-simple-3_2
Source0:       jopt-simple-3.2-src-cvs.tar.gz
Source1:       jopt-simple-3.2-autogeneratedfiles.tar.gz
Patch0:        jopt-simple-3.2-pom_xml.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: joda-time


%if !%with_maven
BuildRequires: ant
# for test
BuildRequires: junit4
#org.infinitest continuous-testing-toolkit 1.0
%else
BuildRequires: findbugs-maven-plugin
BuildRequires: javancss-maven-plugin
BuildRequires: maven
BuildRequires: maven-ant-plugin
BuildRequires: maven-antrun-plugin
#BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
#BuildRequires: maven-plugin-cobertura
#BuildRequires: maven-pmd-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-scm
BuildRequires: maven-site-plugin
BuildRequires: maven-wagon
%endif
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
JOpt Simple is a Java library for parsing command line options,
such as those you might pass to an invocation of javac.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p0

%if !%with_maven
tar -xf %{SOURCE1}
%endif

%build
%if !%with_maven
# TODO
%else
mvn-rpmbuild -Dmaven.test.skip=true ant:ant install javadoc:aggregate
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jopt-simple.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Dec 07 2011 dmorgan <dmorgan> 3.2-1.mga2
+ Revision: 178390
- Clean spec file

  + gil <gil>
    - fix version
    - update to 3.2
    - imported package jopt-simple

